Package org.kapott.hbci.GV_Result

# Class GVRStatus.Entry

java.lang.Object
org.kapott.hbci.GV_Result.GVRStatus.Entry

Enclosing class:
  GVRStatus

public static class GVRStatus.Entry extends Object
Daten für einen einzelnen Eintrag im Statusprotokoll. Ein Eintrag enthält Informationen zu genau einem eingereichten Auftrag

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`dialogid`
Dialog-ID, mit der der Auftrag eingereicht wurde
`String`
`msgnum`
Nachrichtennummer innerhalb des Dialoges, in dem der Auftrag eingereicht wurde
`HBCIRetVal`
`retval`
Status (ein HBCI-Returncode) des Auftrages
`Date`
`timestamp`
Zeitpunkt der Einreichung

## Constructor Summary

Constructors
Constructor
Description
`Entry()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJobId()`
Gibt die Job-ID des Jobs zurück, zu dem dieser Statusprotokolleintrag gehört.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### dialogid

public String dialogid
Dialog-ID, mit der der Auftrag eingereicht wurde

### msgnum

public String msgnum
Nachrichtennummer innerhalb des Dialoges, in dem der Auftrag eingereicht wurde

### timestamp

public Date timestamp
Zeitpunkt der Einreichung

### retval

public HBCIRetVal retval
Status (ein HBCI-Returncode) des Auftrages

## Constructor Details

### Entry

public Entry()

## Method Details

### getJobId

public String getJobId()
Gibt die Job-ID des Jobs zurück, zu dem dieser Statusprotokolleintrag gehört.

Returns:
  Job-ID

### toString

public String toString()

Overrides:
  `toString` in class `Object`